Auto Multiple Choice - Bug # 77: probleme avec champnom ?

Status: Closed Priority: Normal

Author: frederic SALASCA Category:

Created: 09/22/2012 Assignee:

Updated: 09/24/2012 Due date:

Description: Bonjour, je ne sais pas si c'est vraiment un bug mais il y a un truc qui fonctionnait avec les versions

précédentes mais pas avec celle que je suis entrain de tester : la 1.1.1122.

Pour faire des économies de papier j'imprime mes QCM en format paysage avec deux pages sur une. Apres
les avoirs scannée (en 300dpi) je les fait pivoter de 90 degré puis je les découpe avec une commande du
genre :

<pre>convert -crop 1750x2478+0+0 $nomfichier-$i.omp $nomfichier-$i-1.omp

convert -crop 1750x2478+1750+0 $nomfichier-$i.omp $nomfichier-$i-2.omp</pre>

Bien que le cadre soit bien positionné lorsque je vérifie les mises en page, si j'ai un probléme d'identification,
le cadre extrait (name-.jpg) contient une partie de la feuille qui se trouve bien plus bas.

rem1: si les impressions sont normales (pas de format paysage avec deux pages sur une) alors tout
fonctionne correctement.

rem2: ce probleme ne m'a pas dérangé plus que cela car on peut retrouver facilement le nom d'une autre
maniére.

Enfin, j'ai pu remarquer qu'apres le traitement dans l'onglet notation , un ascenseur apparaissait dans les
autres onglets en plein milieu de la fenétre. Je n'ai pas encore essayé de reproduire ce bug et je ne sait pas

s'il déja été signalé.

Merci pour votre travail, méme si mes éleves vous maudissent...

History

09/22/2012 10:28 pm - Alexis Bienveniie

- Description changed from Bonjour, je ne sais pas si c'est vraiment un bug mais il y a un truc qui fonctionnait avec les versions prA©cA©dentes mais
pas avec celle que je suis entrain de tester :la 1.1.1122.

Pour faire des A@conomies de papier jimprime mes QCM en format paysage avec deux pages sur une. AprA’s les avoirs scannA©e (en 300dpi) je les
fait pivoter de 90 degrA® puis je les dA@coupe avec une commande du genre :

convert -crop 1750x2478+0+0 $nomfichier-$i.omp $nomfichier-$i-1.bmp

convert -crop 1750x2478+1750+0 $nomfichier-$i.bmp $nomfichier-$i-2.bmp.

Bien que le cadre soit bien positionnA® lorsque je vACrifie les mises en page, si j'ai un problAme d'identification, le cadre extrait (name-.jog) contient
une partie de la feuille qui se trouve bien plus bas.

rem1: si les impressions sont normales (pas de format paysage avec deux pages sur une) alors tout fonctionne correctement.

rem2: ce problA me ne m'a pas dA@rangA® plus que cela car on peut retrouver facilement le nom d'une autre maniA're.

Enfin, j'ai pu remarquer qu'aprA’s le traitement dans l'onglet notation , un ascenseur apparaissait dans les autres onglets en plein milieu de la fenA@tre.
Je n'ai pas encore essayA®© de reproduire ce bug et je ne sait pas s'il JACjAI AGLA® signalA®.

Merci pour votre travail, mA2me si mes A@IA ves vous maudissent...

to Bonjour, je ne sais pas si c'est vraiment un bug mais il y a un truc qui fonctionnait avec les versions prA@cA@dentes mais pas avec celle que je suis
entrain de tester : la 1.1.1122.

Pour faire des A@conomies de papier jimprime mes QCM en format paysage avec deux pages sur une. AprA’s les avoirs scannA®©e (en 300dpi) je les
fait pivoter de 90 degrA®© puis je les dA@coupe avec une commande du genre :

<pre>convert -crop 1750x2478+0+0 $nomfichier-$i.bomp $nomfichier-$i-1.bmp

convert -crop 1750x2478+1750+0 $nomfichier-$i.bmp $nomfichier-$i-2.bmp</pre>

Bien que le cadre soit bien positionnA® lorsque je vACrifie les mises en page, si j'ai un problA me d'identification, le cadre extrait (name-.jpg) contient
une partie de la feuille qui se trouve bien plus bas.

rem1: si les impressions sont normales (pas de format paysage avec deux pages sur une) alors tout fonctionne correctement.
rem2: ce problA me ne m'a pas dA@rangA® plus que cela car on peut retrouver facilement le nom d'une autre maniA're.

Enfin, j'ai pu remarquer qu'aprA’s le traitement dans l'onglet notation , un ascenseur apparaissait dans les autres onglets en plein milieu de la fenA@tre.
Je n'ai pas encore essayA®© de reproduire ce bug et je ne sait pas s'il JACJAI AGA® signalA®.

Merci pour votre travail, mA2me si mes A@IA ves vous maudissent...

09/22/2012 10:35 pm - Alexis Bienveniie
Vous souvenez-vous de la version antérieure que vous aviez utilisée et qui fonctionnait correctement ?

Pouvez-vous m'envoyer votre répertoire projet, avec au moins un ou deux scans ?

09/23/2012 06:36 pm - frederic SALASCA
Bonjour,

voici le "projet":http://fsalasca.net/qgcm-ctrl-01.zip avec un ou deux scans.

Je pense que la version qui était installée était la 0.550 mais je ne sais plus trop si j'avais scanné les feuilles aprés les avoir massicotées ou si je I'avais

fait numériquement (j'ai un doute!); malheureusement j'ai purgé tous les anciens dossiers.

09/23/2012 10:19 pm - Alexis Bienveniie

> voici le projet avec un ou deux scans.

Merci !

Vous pouvez l'effacer maintenant... ce n'était pas di a votre découpage, mais tout simplement a un bug qui était apparu dans la révision 1116, et qui
est normalement corrigé dans la version r1141 grace a vous.

Pouvez-vous vérifier que tout est rentré dans l'ordre ?

09/24/2012 11:04 am - frederic SALASCA
Bonjour,

j'ai mis a jour a partir du PPA, cela m'a bien installé la 1141 mais elle ne démarre pas, voici le message que j'obtiens dans un terminal

<pre>
frederic@fixe2:~$ auto-multiple-choice

Xlib: extension "RANDR" missing on display ":0".

Bareword found where operator expected at /usr/lib/AMC/perl/AMC-gui.pl line 5949, near "s/.*V//r"
Unquoted string "r" may clash with future reserved word at /usr/lib/AMC/perl/AMC-gui.pl line 5949.
syntax error at /usr/lib/AMC/perl/AMC-gui.pl line 5949, near "s/.*V//r"

Execution of /usr/lib/AMC/perl/AMC-gui.pl aborted due to compilation errors.

</pre>

09/24/2012 11:09 am - frederic SALASCA
j'oubliais : j'ai ubuntu 11.10 d'installé

09/24/2012 11:16 am - Alexis Bienveniie
> j'oubliais : j'ai ubuntu 11.10 d'installé

Zut : j'ai utilisé une fonctionnalité de perl qui nécessite perl 5.14, et dans Ubuntu 11.10 il y a perl 5.12.
Je vais changer ¢a dans la révision r1145...

09/24/2012 04:06 pm - frederic SALASCA
Je viens de tester avec la r1145-2 et c'est bon.
Merci

09/24/2012 05:04 pm - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from New to Closed

05/11/2024 3/3



